| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
cv::GFluidKernel Class Reference

`#include <opencv2/gapi/fluid/gfluidkernel.hpp>`

Collaboration diagram for cv::GFluidKernel:

## Public Types
using | B = std::function<gapi::fluid::BorderOpt(const GMetaArgs&, const GArgs&)>
using | F = std::function<void(const cv::GArgs&, const std::vector<gapi::fluid::Buffer*> &)>
using | GW = std::function<int(const GMetaArgs&, const GArgs&)>
using | IS = std::function<void(const cv::GMetaArgs &, const cv::GArgs&, gapi::fluid::Buffer &)>
enum class | Kind { Filter , Resize , YUV420toRGB }
using | M = std::function<GMetaArgs(const GMetaArgs &, const GArgs &)>
using | RS = std::function<void(gapi::fluid::Buffer &)>

## Public Member Functions
| GFluidKernel ()
| GFluidKernel (Kind k, int l, bool scratch, const F &f, const IS &is, const RS &rs, const B &b, const GW &win)

## Public Attributes
const B | m_b
const F | m_f
const GW | m_gw
const IS | m_is
Kind | m_kind
const int | m_lpi = -1
const RS | m_rs
const bool | m_scratch = false

## Member Typedef Documentation

## ◆ B

using cv::GFluidKernel::B = std::function<gapi::fluid::BorderOpt(const GMetaArgs&, const GArgs&)>

## ◆ F

using cv::GFluidKernel::F = std::function<void(const cv::GArgs&, const std::vector<gapi::fluid::Buffer*> &)>

## ◆ GW

using cv::GFluidKernel::GW = std::function<int(const GMetaArgs&, const GArgs&)>

## ◆ IS

using cv::GFluidKernel::IS = std::function<void(const cv::GMetaArgs &, const cv::GArgs&, gapi::fluid::Buffer &)>

## ◆ M

using cv::GFluidKernel::M = std::function<GMetaArgs(const GMetaArgs &, const GArgs &)>

## ◆ RS

using cv::GFluidKernel::RS = std::function<void(gapi::fluid::Buffer &)>

## Member Enumeration Documentation

## ◆ Kind

enum class cv::GFluidKernel::Kind
| strong

Enumerator
Filter |
Resize |
YUV420toRGB |

## Constructor & Destructor Documentation

## ◆ GFluidKernel() [1/2]

cv::GFluidKernel::GFluidKernel | ( |  | ) |
| inline

## ◆ GFluidKernel() [2/2]

cv::GFluidKernel::GFluidKernel | ( | Kind | k,
|  | int | l,
|  | bool | scratch,
|  | const F & | f,
|  | const IS & | is,
|  | const RS & | rs,
|  | const B & | b,
|  | const GW & | win )
| inline

## Member Data Documentation

## ◆ m_b

const B cv::GFluidKernel::m_b

## ◆ m_f

const F cv::GFluidKernel::m_f

## ◆ m_gw

const GW cv::GFluidKernel::m_gw

## ◆ m_is

const IS cv::GFluidKernel::m_is

## ◆ m_kind

Kind cv::GFluidKernel::m_kind

## ◆ m_lpi

const int cv::GFluidKernel::m_lpi = -1

## ◆ m_rs

const RS cv::GFluidKernel::m_rs

## ◆ m_scratch

const bool cv::GFluidKernel::m_scratch = false

The documentation for this class was generated from the following file:

- opencv2/gapi/fluid/gfluidkernel.hpp